comp128.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/defs.h>`

Go to the source code of this file.

## Functions

void | comp128v1 (const uint8_t *ki, const uint8_t *srand, uint8_t *sres, uint8_t *kc)
| Perform COMP128v1 algorithm. More...
void | comp128 (const uint8_t *ki, const uint8_t *srand, uint8_t *sres, uint8_t *kc) OSMO_DEPRECATED("Use generic API from osmocom/crypt/auth.h instead")
| Perform COMP128v1 algorithm. More...

## Detailed Description

COMP128 header.

See comp128.c for details